

define service {
	service_description		ssh_response
	use				UNIX Production service
	host_name			epoxy
	check_command			check_ssh_response!"Enter PASSCODE:"
	contact_groups			ESS_8x5
	process_perf_data		0
}

#define service {
#	service_description		F5 Active Connections
#	use				UNIX Production service
#	hostgroup_name			F5 Load Balancer MPs
#	check_command			check_snmp_f5_active_cxn!100000!200000
#	notification_options		w,c,r
#	contact_groups			null
#	contacts			null
#	process_perf_data		0
#}

define service {
	service_description		LDAP
	use				generic-service-active
	host_name			dumper05, dumper06, ldap, ldap05, ldap06, ldapupdate, newdumper
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_ldap_pu!"o=princeton university, c=us"!10!20
	contacts			Identity and Access Management
}

define service {
	service_description		LDAP
	use				generic-service-active
	host_name			sdpldap100l
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_ldap!"o=Princeton University,c=US"!10!20!-p 4388 -D "uid=nagios,o=Princeton University,c=US" -P "$USER7$"
	contacts			Identity and Access Management
}

define service {
	service_description		LDAPS
	use				generic-service-active
	host_name			sdpldap100l
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_ldap_ssl!"o=Princeton University,c=US"!10!20!-p 4389 -D "uid=nagios,o=Princeton University,c=US" -P "$USER7$"
	contacts			Identity and Access Management
}

define service {
	service_description		LDAP
	use				generic-service-active
	host_name			iamduo100w, iamduo101w
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_ldap!"dc=zeta,dc=adtest,dc=princeton,dc=edu"!10!20!-p 389 -D "ZETA\\$USER17$" -P "$USER7$"
	contacts			Identity and Access Management
}

define service {
	service_description		LDAP
	use				generic-service-active
	host_name			iamduo200w, iamduo201w
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_ldap!"dc=pu,dc=win,dc=princeton,dc=edu"!10!20!-p 389 -D "$USER20$" -P "$USER30$"
	contacts			Identity and Access Management
}

define service {
	service_description		LDAPS
	use				generic-service-active
	host_name			ldapproxyqa
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_ldap_ssl!"dc=zeta,dc=adtest,dc=princeton,dc=edu"!10!20!-D "ZETA\\$USER17$" -P "$USER7$"
	contacts			Identity and Access Management
}

define service {
	service_description		LDAPS
	use				generic-service-active
	host_name			pdom05.pu.win, pdom06.pu.win, pdom07.pu.win, pdom08.pu.win
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_ldap_ssl!"dc=pu,dc=win,dc=princeton,dc=edu"!10!20!-D "$USER20$" -P "$USER30$"
	contacts			Identity and Access Management
}


define service {
	service_description		LDAPS
	use				generic-service-active
	host_name			puqa01.zeta.adtest, puqa02.zeta.adtest, puqa05.zeta.adtest, puqa06.zeta.adtest	
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_ldap_ssl!"dc=zeta,dc=adtest,dc=princeton,dc=edu"!10!20!-D "$USER33$" -P "$USER34$"
	contacts			Identity and Access Management
}

define service {
	service_description		LDAPS
	use				generic-service-active
	host_name			dumper05, dumper06, ldap, ldap05, ldap06, newdumper
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_ldap_ssl!"o=princeton university, c=us"!10!20
	contacts			Identity and Access Management
}


define service {
	service_description		LDAP
	use				generic-service-active
	host_name			alumni-ldap1, alumni-ldap2, alumni05, alumni06
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_ldap!"dc=alumni,dc=princeton,dc=edu"!10!20
	contacts			Identity and Access Management
}

define service {
	service_description		LDAPS
	use				generic-service-active
	host_name			alumni-ldap1, alumni-ldap2, alumni05, alumni06
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_ldap!"dc=alumni,dc=princeton,dc=edu"!10!20
	contacts			Identity and Access Management
}

define service {
	service_description		LDAP
	use				generic-service-active
	host_name			sdpovd200l, sdpovd201l
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_ldap!'dc=Princeton,dc=EDU'!10!20!-p 6501 -D 'uid=groundwk,dc=Princeton,dc=EDU' -P '$USER30$'
	contacts			Ashutosh Hadap, DBA Important List, Identity and Access Management
}

define service {
	service_description		LDAP
	use				generic-service-active
	host_name			sdpovd100l, sdpovd101l
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_ldap!'dc=Princeton,dc=EDU'!10!20!-p 6501 -D 'uid=nagios,dc=Princeton,dc=EDU' -P '$USER7$'
	contacts			Ashutosh Hadap, DBA Important List, Identity and Access Management
}

define service {
	service_description		LDAPS
	use				generic-service-active
	host_name			ovdprod
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_ldap_bind_HOSTALIAS_DN_PASS_BASE!'uid=groundwk,dc=Princeton,dc=EDU'!'$USER30$'!'dc=Princeton,dc=EDU'!10!20
	contacts			Ashutosh Hadap, DBA Important List, Identity and Access Management
}

define service {
	service_description		LDAPS
	use				generic-service-active
	host_name			qaovd
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_ldap_bind_HOSTALIAS_DN_PASS_BASE!'uid=nagios,dc=Princeton,dc=EDU'!'$USER7$'!'dc=Princeton,dc=EDU'!10!20
	contacts			Ashutosh Hadap, DBA Important List, Identity and Access Management
}

define service {
	service_description		LDAPS
	use				generic-service-active
	host_name			sdpovd200l, sdpovd201l
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_ldap_ssl_novalcert!'dc=Princeton,dc=EDU'!10!20!-p 7501 -D 'uid=groundwk,dc=Princeton,dc=EDU' -P '$USER30$'
	contacts			Ashutosh Hadap, DBA Important List, Identity and Access Management
}

define service {
	service_description		LDAPS
	use				generic-service-active
	host_name			sdpovd100l, sdpovd101l
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_ldap_ssl_novalcert!'dc=Princeton,dc=EDU'!10!20!-p 7501 -D 'uid=nagios,dc=Princeton,dc=EDU' -P '$USER7$'
	contacts			Ashutosh Hadap, DBA Important List, Identity and Access Management
}

define service {
	service_description		dsml_lookup
	use				generic-service-active
	host_name			dsml
	check_command			check_dsml!'o=Princeton University,c=US'!uid!esm!Enterprise S Management
	contacts			Identity and Access Management
}

define service {
	service_description		netid_available
	use				generic-service-active
	host_name			webservices
	check_command			check_netid_avail!notarealid!20
	contacts			Identity and Access Management
}

define service {
	service_description		nrpe_win_VSS
	use				Windows Production service
	hostgroup_name			Exchange Mailbox
	process_perf_data		0
	check_command			check_nrpe_win_vss
	contacts			John P. Sophy
}

define service {
	service_description		DNS
	use				generic-service
	host_name			dns1a.aws, dns1c.aws
	check_command			check_dns_expect!dns1a.aws.princeton.edu!10.21.1.10! -w 6 -c 8
	contacts			CISDR
}


